升級 gentoo 的 phpMyAdmin 到 3.5 以上

Last time when I upgrade my phpMyaAdmin packages to version 3.5, I encounter a problem that all the table links for choose are gone. I’ve tried to reconfigure the config file for pMA and re-install the packages, but no use. Finally, I’ve REMOVE the packages directories, re-emerge it and make a new config file, and it works fine. The steps:

1. Remove phpMyAdmin

# emerge -C phpmyadmin

2. Remove the directories

# rm -rf {install directory for phpmyadmin}

3. Install the packages

# emerge phpmyadmin

4. Follow the elog’s instructions to configure a new config file, and enjoy it. 😀

升級 gentoo 的 mysql 5.0 到 5.1

安裝完成後:

1. Update config file to remove useless parameters

# etc-update

2. Restart service

# /etc/init.d/mysql restart

3. Upgrade mysql tables

# mysql_upgrade -u root -p

4. Restart again

# /etc/init.d/mysql restart

5. Other: the libraries linked w/ mysql 5.0 must upgrade, so I ran revdep-rebuild for possible problems.